<?php

declare(strict_types=1);

namespace App\Amqp\Consumer;

use App\Service\AliLogsSignService;
use Hyperf\Amqp\Result;
use Hyperf\Amqp\Annotation\Consumer;
use Hyperf\Di\Annotation\Inject;

#[Consumer(exchange: 'wh_service_ali_sls', routingKey: 'wh_service_ali_sls_key', queue: 'wh_service_ali_sls_queue', name: "AliSlsConsumer", nums: 5)]
class AliSlsConsumer extends BaseConsumer
{
    #[Inject]
    protected AliLogsSignService $aliLogsSignService;

    public function handle($data): Result
    {
        $this->aliLogsSignService->putWebTracking($data);

        return Result::ACK;
    }
}
